package com.bonus.tcp.smartIdentify.mapper;

import com.bonus.common.core.constant.BusinessConstants;
import com.bonus.common.entity.bracelet.vo.WarnInfoVo;
import com.bonus.common.entity.tcp.TcpDataVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@Mapper
public interface TcpDataMapper {


    void  updateTcpChannelId(TcpDataVo vo);
    void downLoadStatus(@Param("channelId") String channelId);

    /**
     * 查询设备领用信息
     * @param devCode
     * @return
     */
    TcpDataVo getDevInfoByCode(@Param("devCode") String devCode, @Param("devType")String devType);

    /**
     * 存储告警数据
     * @param tcpDataVo
     */
    void insertWarnInfo(TcpDataVo tcpDataVo);

    /**
     * 获取设备详情集合
     * @param vo
     * @return
     */
    List<TcpDataVo> getDevDetails(TcpDataVo vo);

    /**
     * 更新设备状态信息
     * @param data
     */
    void updateDataVal(TcpDataVo data);

    /**
     * 查询设备编码
     * @param channel
     * @return
     */
    String getDevCodeByChannel(String channel);
}
